ONVIF::Device::Types::ImagingOptions20Extension2(3)

NAME
ONVIF::Device::Types::ImagingOptions20Extension2

DESCRIPTION
Perl data type class for the XML Schema defined complexType ImagingOptions20Extension2 from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   IrCutFilterAutoAdjustment

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::ImagingOptions20Extension2
   IrCutFilterAutoAdjustment =>  { # ONVIF::Device::Types::IrCutFilterAutoAdjustmentOptions
     BoundaryType =>  $some_value, # string
     BoundaryOffset =>  $some_value, # boolean
     ResponseTimeRange =>  { # ONVIF::Device::Types::DurationRange
       Min =>  $some_value, # duration
       Max =>  $some_value, # duration
     },
     Extension =>  { # ONVIF::Device::Types::IrCutFilterAutoAdjustmentOptionsExtension
     },
   },
   Extension =>  { # ONVIF::Device::Types::ImagingOptions20Extension3
   },
 },

AUTHOR
Generated by SOAP::WSDL